'\" t
.TH X3270IF 1 "2 September 2000"
.SH NAME
x3270if \-
command interface to x3270 and s3270
.SH SYNOPSIS
.B x3270if
[
.B \-v
]
.I action
[
.B (
.I param
[ ,... ]
.B )
]
.br
.B x3270if
[
.B \-v
]
.B \-s
.I field
.br
.B x3270if \-i
.SH DESCRIPTION
.B x3270if
provides an interface between scripts and
.IR x3270 (1)
or
.IR s3270 (1).
.LP
.B x3270if
performs one of three functions.
In
.B "action mode"
(the default) it passes a single action and optional parameters to
.I x3270
or
.I s3270
for execution;
the result of the command is written to standard output.
In
.BR "status mode" ,
it reports to standard output the value of one of
.IR x3270 's
or
.IR s3270 's
status fields.
In
.BR "iterative mode" ,
it forms a continuous conduit between a script and
.I x3270
or
.IR s3270 .
.SH OPTIONS
.TP
.B \-v
Turns on verbose debug messages, showing the literal data that is passed
between
.I x3270
or
.I s3270
and
.BR x3270if .
.TP
.BI \-s " field"
Puts
.B x3270if
in status mode: it outputs the value of an
.I x3270
or
.I s3270
status field.
.I Field
is an integer in the range 0 through 11.
The value 0 is a no-op and is used only to return exit status indicating the
state of
.I x3270
or
.IR s3270 .
The indices 1-11 and meanings of each field are documented on the
.IR x3270-script (1)
manual page.
.TP
.B \-i
Puts
.B x3270if
in iterative mode.
Data from
.BR x3270if 's
standard input is copied to
.I x3270
or
.IR s3270 's
script input; data from
.I x3270
or
.IR s3270 's
script output is copied to
.BR x3270if 's
standard output.
.B x3270if
runs until it detects end-of-file on its standard input or on the
output from
.I x3270
or
.IR s3270 .
(This mode exists primarily to give
.IR expect (1)
a process to run, on systems which do not support bidirectional pipes.)
.SH EXIT STATUS
In action mode, if the requested
.I action
succeeds,
.B x3270if
exits with status 0.
If the action fails,
.B x3270if
exits with status 1.
In iterative mode,
.B x3270if
exits with status 0 when it encounters end-of-file.
If there is an operational error within
.B x3270if
itself, such as a command-line syntax error, missing environment
variable, or an unexpectedly closed pipe,
.B x3270if
exits with status 2.
.SH ENVIRONMENT
.I x3270
and
.I s3270
use a pair of pipes for communication with each child process.
The values of the file descriptors for these pipes are encoded as text
in two environment variables, which are required by
.BR x3270if :
.TP
.B X3270OUTPUT
Output from
.I x3270
or
.IR s3270 ,
input to the child process.
.TP
.B X3270INPUT
Input to
.I x3270
or
.IR s3270 ,
output from the child process.
.SH "SEE ALSO"
.IR x3270 (1), " s3270" (1), " x3270-script" (1)
.SH COPYRIGHT
Copyright 1999, 2000 by Paul Mattes.
.RS
Permission to use, copy, modify, and distribute this software and its
documentation for any purpose and without fee is hereby granted,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation.
.RE
